Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.criteria
Interface CriteriaBuilder.SimpleCase<C,R>

All Superinterfaces:
  Expression<R>, Selection<R>, TupleElement<R>

Enclosing interface:
  CriteriaBuilder

    public static interface CriteriaBuilder.SimpleCase<C,R>

extends Expression<R>

Interface used to build simple case expressions. Case conditions are evaluated in the order in which they are specified.

Method Summary
`Expression<C>` | `getExpression()` Return the expression to be tested against the conditions.
`Expression<R>` | `otherwise(Expression<? extends R> result)` Add an "else" clause to the case expression.
`Expression<R>` | `otherwise(R result)` Add an "else" clause to the case expression.
`CriteriaBuilder.SimpleCase<C,R>` | `when(C condition, Expression<? extends R> result)` Add a when/then clause to the case expression.
`CriteriaBuilder.SimpleCase<C,R>` | `when(C condition, R result)` Add a when/then clause to the case expression.

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getExpression

    Expression<C> getExpression()

  Return the expression to be tested against the conditions.

  Returns:
    expression

### when

    CriteriaBuilder.SimpleCase<C,R> when(C condition,
                                         R result)

  Add a when/then clause to the case expression.

  Parameters:
    `condition` - "when" condition
    `result` - "then" result value
  Returns:
    simple case expression

### when

    CriteriaBuilder.SimpleCase<C,R> when(C condition,
                                         Expression<? extends R> result)

  Add a when/then clause to the case expression.

  Parameters:
    `condition` - "when" condition
    `result` - "then" result expression
  Returns:
    simple case expression

### otherwise

    Expression<R> otherwise(R result)

  Add an "else" clause to the case expression.

  Parameters:
    `result` - "else" result
  Returns:
    expression

### otherwise

    Expression<R> otherwise(Expression<? extends R> result)

  Add an "else" clause to the case expression.

  Parameters:
    `result` - "else" result expression
  Returns:
    expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD